Loading...
Searching...
No Matches
form_concat< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::form_concat< T, M >

Definition at line 189 of file form_concat.h.

## Public Types

typedef csr_concat_value< T, M >::size_type | size_type
typedef csr_concat_value< T, M >::sizes_type | sizes_type
typedef csr_concat_value< T, M >::sizes_pair_type | sizes_pair_type
typedef form_concat_line< T, M > | line_type
typedef form_concat_value< T, M > | value_type

## Public Member Functions

| form_concat ()
| form_concat (const std::initializer_list< line_type > &il)
form_basic< T, M > | build_form () const

## Static Public Attributes

static constexpr size_type | undef = std::numeric_limits<size_type>::max()
static constexpr size_type | zero = 0

## Protected Attributes

std::list< line_type > | _l

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef csr_concat_value<T,M>::size_type size_type

Definition at line 194 of file form_concat.h.

## sizes_type

template<class T , class M >

typedef csr_concat_value<T,M>::sizes_type sizes_type

Definition at line 195 of file form_concat.h.

## sizes_pair_type

template<class T , class M >

typedef csr_concat_value<T,M>::sizes_pair_type sizes_pair_type

Definition at line 196 of file form_concat.h.

## line_type

template<class T , class M >

typedef form_concat_line<T,M> line_type

Definition at line 201 of file form_concat.h.

## value_type

template<class T , class M >

typedef form_concat_value<T,M> value_type

Definition at line 202 of file form_concat.h.

## Constructor & Destructor Documentation

## form_concat() [1/2]

template<class T , class M >

form_concat | ( |  | ) |

Definition at line 206 of file form_concat.h.

## form_concat() [2/2]

template<class T , class M >

form_concat | ( | const std::initializer_list< line_type > & | il | ) |

Definition at line 208 of file form_concat.h.

## Member Function Documentation

## build_form()

template<class T , class M >

form_basic< T, M > build_form | ( |  | ) | const

Definition at line 242 of file form_concat.cc.

## Member Data Documentation

## undef

template<class T , class M >

constexpr size_type undef = std::numeric_limits<size_type>::max()

static constexpr

Definition at line 198 of file form_concat.h.

## zero

template<class T , class M >

constexpr size_type zero = 0

static constexpr

Definition at line 199 of file form_concat.h.

## _l

template<class T , class M >

std::list<line_type> _l

protected

Definition at line 226 of file form_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/form_concat.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/form_concat.cc